### Method

# AppStream Component get_extends

since: 0.15.5

#### Declaration [src]

    GPtrArray*
    as_component_get_extends (
      AsComponent* cpt
    )

#### Description [src]

Returns a string list of IDs of components which are extended by this addon.

See %as_component_get_extends() for the reverse.

Available since: 0.15.5

#### Return value

Type: An array of `utf8`

A `GPtrArray` or `NULL` if not set.

The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.